
QGIS Application - Bug report #5844

When adding a gpx the dialog shows "Nb of features" all set to "-1"

2012-06-21 11:14 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15314

Description

It used to show the right number of features, I'm almost sure it is a regression (I'm testing on master). I will give a try to 1.8 and 1.7.4

Related issues:

Related to QGIS Application - Bug report # 5322: ODBC connection window queri... Closed 2012-04-05

History

#1 - 2012-06-21 12:02 PM - Alexander Bruy

This caused by fix for #5322 (ODBC and GPX both uses OGR provider)

#2 - 2012-06-23 01:55 AM - Alexander Bruy

Starting from commit:b6ad69d12c the "unknown" showed instead of "-1". I know this is not real fix, but at least this less confusing

#3 - 2012-12-30 09:21 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

tagging as blocker as it is a regression.

#4 - 2013-01-03 04:43 PM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

Giovanni Manghi wrote:

tagging as blocker as it is a regression.

I don't agree it's a regression.  IMHO it's an improvement and not a bug (see #5322).  The output isn't required and therefore should be a blocker.

#5 - 2013-01-04 12:12 AM - Giovanni Manghi

Jürgen Fischer wrote:
Giovanni Manghi wrote:

tagging as blocker as it is a regression.

I don't agree it's a regression.  IMHO it's an improvement and not a bug (see #5322).  The output isn't required and therefore should be a blocker.

From a user point of view is certainly a regression, because something that says "-1" is not as informative as something (as before) that says (ex.) "35".

But if you say that is not a regression, that as I said is not true, then we should a) close this ticket or b) at least remove that column that says 'feature count

"-1"'.

#6 - 2013-01-04 01:03 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

Giovanni Manghi wrote:

But if you say that is not a regression, that as I said is not true, then we should a) close this ticket or b) at least remove that column that says 'feature

count "-1"'.

Alex already made it say "Unknown" instead of "-1".

#7 - 2013-01-04 01:07 AM - Giovanni Manghi

- Resolution changed from fixed to wontfix

Alex already made it say "Unknown" instead of "-1".

it doesn't change the meaning of what I said, from a user point of view is a regression.
